%define __libtoolize /bin/true
%define name    gaim
%define version 2.0
%define release 0beta3.1.2006mcnl
%define summary A multi-protocol instant messaging client
%define section Internet/Chat
%define title   Gaim

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 

Vendor:         Mandrivaclub.nl
Packager:       Rutger Kroon <ogli@mandrivaclub.nl>

URL:            http://gaim.sourceforge.net/
License:        GPL
Group:          Networking/Chat

Source0:        %{name}-%{version}.0beta3.tar.bz2

BuildArch: 	x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:	gtk+2.0 >= 2.0.0
BuildRequires:  gtk2-devel
BuildRequires:  automake autoconf gettext doxygen libtool pkgconfig
BuildRequires:  perl-devel
BuildRequires:  libao-devel
BuildRequires:  howl-devel
BuildRequires:  startup-notification-devel
BuildRequires:  dbus-devel
BuildRequires:  lib64gtkspell0-devel
BuildRequires:  lib64nss3-devel
BuildRequires:  audiofile-devel

%{?_with_silc:BuildRequires: libsilc-devel}

%if %{?_with_silc:1}%{!?_with_silc:0}
%package silc
Summary:    SILC (Secure Internet Live Conferencing) plugin for Gaim
Group:      Applications/Internet
Requires:   gaim = %{version}
%endif

Conflicts:	libgaim-remote0

%description
Gaim is a multi-protocol instant messaging (IM) client. 
It is compatible with AIM and ICQ (Oscar protocol), MSN Messenger, Yahoo!, 
IRC, Jabber, Gadu-Gadu, SILC, Novell GroupWise Messenger, Lotus Sametime, 
and Zephyr networks. 

Gaim users can log in to multiple accounts on multiple IM networks 
simultaneously. 
This means that you can be chatting with friends on AOL Instant 
Messenger, talking to a friend on Yahoo Messenger, and sitting 
in an IRC channel all at the same time. 

Gaim supports many features of the various networks, such as file transfer, 
away messages, and typing notification. It also goes beyond that and provides 
many unique features. A few popular features are Buddy Pounces, which give 
the ability to notify you, send a message, play a sound, or run a program when 
a specific buddy goes away, signs online, or returns from idle; and 
plugins, consisting of text replacement, a buddy ticker, extended 
message notification, iconify on away, spell checking, tabbed conversations, 
and more.

%package devel
Summary:    Development headers, documentation, and libraries for Gaim.
Group:      Applications/Internet
Requires:   gaim = %{version}

%description devel
Headers of %{name} for development.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}.0beta3

%build 
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGS}

%configure	--prefix=%{_prefix} \
		--libdir=%{_libdir} 

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir} includedir=%{buildroot}%{_includedir} \
     libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} \
     sysconfdir=%{buildroot}%{_sysconfdir} \
     install

rm -f $RPM_BUILD_ROOT%{_libdir}/perl5/*/*/perllocal.pod
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/*.la
find $RPM_BUILD_ROOT%{_libdir}/gaim -type f -print | \
sed "s@^$RPM_BUILD_ROOT@@g" | \
grep -v libsilcgaim.so > %{name}-%{version}-coreplugins

bzip2 $RPM_BUILD_ROOT%{_mandir}/man1/gaim.1

#icons
%define  nameicon pixmaps/%name.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="%title" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png" \
EOF


%post
%update_menus
ldconfig

%postun
%clean_menus
ldconfig

#strip -g $RPM_BUILD_ROOT%{_bindir}/%name


%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}-%{version}-coreplugins
%defattr(-,root,root)

%doc doc/the_penguin.txt doc/CREDITS NEWS COPYING AUTHORS COPYRIGHT
%doc README
%doc %{_mandir}/man1/*

%dir %{_libdir}/%{name}
%attr(755,root,root) 

%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/*

%dir %{_datadir}/sounds/%{name}
%{_datadir}/sounds/%{name}/*
%{_datadir}/applications/*
%{_datadir}/aclocal/%{name}.m4
%attr (644,root,root) 
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(755,root,root) 

%if %{?_with_silc:1}%{!?_with_silc:0}
%files silc
%defattr(-,root,root)
%{_libdir}/gaim/libsilcgaim.*
%endif

%files devel
%defattr(-,root,root)
%doc plugins/HOWTO
%doc HACKING PROGRAMMING_NOTES
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog 
* Fri Jun 16 2006 Rutger Kroon <ogli@mandrivaclub.nl> 2.0-0beta3.1.2006mcnl
- First build for Mandrivaclub.nl x86_64
